unit myFormUnit;

interface

uses
  System.SysUtils, System.Classes,
  Vcl.Controls, Vcl.Forms,
  containedFrameUnit, Vcl.StdCtrls;

type
  TMyForm = class(TForm)
    containedFrame: TContainedFrame;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
	protected
		procedure handleAButtonClick(Sender: TObject);
	public
		destructor Destroy(); override;
  end;

var
  MyForm: TMyForm;

implementation

{$R *.dfm}

procedure TMyForm.Button1Click(Sender: TObject);
begin
	containedFrame.OnClickedAButton.Add(handleAButtonClick);
end;

destructor TMyForm.Destroy;
begin
	inherited; // Destroying TContainedFrame will cause an AV
end;

procedure TMyForm.handleAButtonClick(Sender: TObject);
begin
	Caption := 'A button in '+Sender.ClassName+' was clicked';
end;

end.
